Update an existing user
PUT /users/{userId}
Updates an existing user.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
userId |
string |
path |
True |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
firstName |
string |
False |
The first name of the user |
lastName |
string |
False |
The last name of the user |
string |
False |
The email address of the user |
|
ldapUserName |
string |
False |
Active Directory user name |
notificationsOptIn |
boolean |
False |
Email notifications opt-in |
Example request
{
"firstName": "string",
"lastName": "string",
"email": "string",
"ldapUserName": "string"
}
Error
Status: Default, Default response
| Name | Type | Required | Description |
|---|---|---|---|
publicId |
string |
True |
User public ID |
assignedWorkingEnvironments |
array[string] |
True |
List of public IDs for all of the systems visible to the user |
firstName |
string |
True |
The first name of the user |
lastName |
string |
True |
The last name of the user |
string |
True |
The email address of the user |
|
roleId |
string |
True |
Role ID of the user |
tenantId |
string |
True |
Tenant ID of the user |
createdWorkingEnvironments |
True |
List of all systems created by the user |
|
azureCredentials |
False |
||
cloudSyncLicenseInformation |
False |
||
isLdap |
boolean |
True |
Indicates whether the user is an LDAP user |
ldapUserName |
string |
True |
The LDAP user name |
notificationsOptIn |
boolean |
True |
Notification Opt-In |
permissions |
array[string] |
True |
Permissions |
Definitions
See Definitions
UserWorkingEnvironmentResponse
| Name | Type | Required | Description |
|---|---|---|---|
publicId |
string |
True |
System public ID |
name |
string |
True |
System name |
workingEnvironmentType |
string |
True |
System type |
AzureCredentials
| Name | Type | Required | Description |
|---|---|---|---|
subscriptionId |
string |
False |
|
tenantId |
string |
False |
|
applicationId |
string |
False |
|
applicationKey |
string |
False |
CloudSyncLicenseInformation
| Name | Type | Required | Description |
|---|---|---|---|
cloudSyncLicenseTypes |
array[string] |
False |
Cloud sync license types |
licenseExpirationDate |
integer |
False |
Cloud sync license expiration date |